
Redmine - Defect #3789

smtp fatal error and traceback when selecting repository tab

2009-08-27 20:42 - Robert Gonzalez

Status: Closed Start date: 2009-08-27

Priority: High Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.8.4

Description

Version: Redmine 0.8.4.stable (PostgreSQL)

Running on: Linux redmine.xxx.com 2.6.18-128.el5 #1 SMP Wed Jan 21 10:41:14 EST 2009 x86_64 x86_64 x86_64 GNU/Linux

Our repository tab is completely blocked and is a critical part of our process.

Here is the traceback:

Processing RepositoriesController#show (for 172.21.49.55 at 2009-08-27 12:47:50) [GET]

Session ID: bbcb1201b924579979c6595fd949ce52

Parameters: {"action"=>"show", "id"=>"mpower", "controller"=>"repositories"}

Sent mail to

Net::SMTPFatalError (550 5.7.1 Unable to relay

):

/usr/lib/ruby/1.8/net/smtp.rb:680:in `check_response'

/usr/lib/ruby/1.8/net/smtp.rb:653:in `getok'

/usr/lib/ruby/1.8/net/smtp.rb:635:in `rcptto'

/usr/lib/ruby/1.8/net/smtp.rb:546:in `send0'

/usr/lib/ruby/1.8/net/smtp.rb:545:in `each'

/usr/lib/ruby/1.8/net/smtp.rb:545:in `send0'

/usr/lib/ruby/1.8/net/smtp.rb:472:in `sendmail'

/vendor/rails/actionmailer/lib/action_mailer/base.rb:630:in `perform_delivery_smtp'

/usr/lib/ruby/1.8/net/smtp.rb:379:in `start'

/usr/lib/ruby/1.8/net/smtp.rb:316:in `start'

/vendor/rails/actionmailer/lib/action_mailer/base.rb:628:in `perform_delivery_smtp'

/vendor/rails/actionmailer/lib/action_mailer/base.rb:508:in `__send__'

/vendor/rails/actionmailer/lib/action_mailer/base.rb:508:in `deliver!'

/app/models/mailer.rb:174:in `deliver!'

/vendor/rails/actionmailer/lib/action_mailer/base.rb:383:in `method_missing'

/app/models/changeset.rb:116:in `scan_comment_for_issue_ids'

/app/models/changeset.rb:103:in `each'

/app/models/changeset.rb:103:in `scan_comment_for_issue_ids'

/app/models/changeset.rb:96:in `each'

/app/models/changeset.rb:96:in `scan_comment_for_issue_ids'

/app/models/changeset.rb:70:in `after_create'

/vendor/rails/activerecord/lib/active_record/callbacks.rb:301:in `send'

/vendor/rails/activerecord/lib/active_record/callbacks.rb:301:in `callback'

/vendor/rails/activerecord/lib/active_record/callbacks.rb:221:in `create_without_timestamps'

/vendor/rails/activerecord/lib/active_record/timestamp.rb:29:in `create'

/vendor/rails/activerecord/lib/active_record/base.rb:2483:in `create_or_update_without_callbacks'

/vendor/rails/activerecord/lib/active_record/callbacks.rb:207:in `create_or_update'

/vendor/rails/activerecord/lib/active_record/base.rb:2211:in `save_without_validation'

/vendor/rails/activerecord/lib/active_record/validations.rb:911:in `save_without_dirty'

/vendor/rails/activerecord/lib/active_record/dirty.rb:75:in `save_without_transactions'

/vendor/rails/activerecord/lib/active_record/transactions.rb:106:in `save'

/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:66:in `transaction'

/vendor/rails/activerecord/lib/active_record/transactions.rb:79:in `transaction'

/vendor/rails/activerecord/lib/active_record/transactions.rb:98:in `transaction'

/vendor/rails/activerecord/lib/active_record/transactions.rb:106:in `save'

/vendor/rails/activerecord/lib/active_record/transactions.rb:118:in `rollback_active_record_state!'
/vendor/rails/activerecord/lib/active_record/transactions.rb:106:in `save'

/vendor/rails/activerecord/lib/active_record/base.rb:644:in `create'

/app/models/repository/subversion.rb:59:in `fetch_changesets'

/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:66:in `transaction'

/vendor/rails/activerecord/lib/active_record/transactions.rb:79:in `transaction'

/vendor/rails/activerecord/lib/active_record/transactions.rb:98:in `transaction'

/app/models/repository/subversion.rb:58:in `fetch_changesets'

/app/models/repository/subversion.rb:57:in `reverse_each'

/app/models/repository/subversion.rb:57:in `fetch_changesets'

/vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:173:in `send'

/vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:173:in `method_missing'

/app/controllers/repositories_controller.rb:69:in `show'

/vendor/rails/actionpack/lib/action_controller/base.rb:1166:in `send'

/vendor/rails/actionpack/lib/action_controller/base.rb:1166:in `perform_action_without_filters'

/vendor/rails/actionpack/lib/action_controller/filters.rb:579:in `call_filters'

/vendor/rails/actionpack/lib/action_controller/filters.rb:572:in `perform_action_without_benchmark'

/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/vendor/rails/actionpack/lib/action_controller/rescue.rb:201:in `perform_action_without_caching'

/vendor/rails/actionpack/lib/action_controller/caching/sql_cache.rb:13:in `perform_action'

/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in `cache'

/vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in `cache'

/vendor/rails/actionpack/lib/action_controller/caching/sql_cache.rb:12:in `perform_action'

/vendor/rails/actionpack/lib/action_controller/base.rb:529:in `send'

/vendor/rails/actionpack/lib/action_controller/base.rb:529:in `process_without_filters'

/vendor/rails/actionpack/lib/action_controller/filters.rb:568:in `process_without_session_management_support'

/vendor/rails/actionpack/lib/action_controller/session_management.rb:130:in `process'

/vendor/rails/actionpack/lib/action_controller/base.rb:389:in `process'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:149:in `handle_request'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:107:in `dispatch'

/usr/lib/ruby/1.8/thread.rb:135:in `synchronize'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in `dispatch'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:120:in `dispatch_cgi'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:35:in `dispatch'

/vendor/rails/railties/lib/webrick_server.rb:112:in `handle_dispatch'

/vendor/rails/railties/lib/webrick_server.rb:78:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

/usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

/vendor/rails/railties/lib/webrick_server.rb:62:in `dispatch'

/vendor/rails/railties/lib/commands/servers/webrick.rb:66

/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

/vendor/rails/activesupport/lib/active_support/dependencies.rb:510:in `require'

/vendor/rails/activesupport/lib/active_support/dependencies.rb:355:in `new_constants_in'

/vendor/rails/activesupport/lib/active_support/dependencies.rb:510:in `require'

/vendor/rails/railties/lib/commands/server.rb:39

/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

script/server:3

History

#1 - 2009-09-01 13:10 - Jean-Philippe Lang

An error is raised when sending an email notification about one of your commit.

Did you make any change to your config/environments/production.rb? Because no error should be raised by default if the email sending does not

work.

For now, you can disable email notifications.
#2 - 2009-09-18 04:08 - Robert Gonzalez

- Status changed from New to Resolved

Our smtp server could not handle a particular address.

It would be nice to get something better than a broken Redmine however.  The way it fails is unacceptable.  The exception should be caught and an

error put up somewhere, but not break the whole system like it does.

#3 - 2011-03-04 16:55 - Toshi MARUYAMA

- Status changed from Resolved to Closed

#4 - 2011-03-04 17:01 - Etienne Massip

- Resolution set to Invalid

#5 - 2016-12-22 10:24 - Aleksandar Pavic

I'm not sure if its related, but this occurs if user is non-existent on SMTP server:

Completed 500 Internal Server Error in 1616ms (ActiveRecord: 14.5ms)

Net::SMTPFatalError (550 User not found: somebody@somewhere.com

):

  app/models/mailer.rb:502:in `deliver_mail'

  config/initializers/10-patches.rb:163:in `deliver'

  app/models/email_address.rb:95:in `deliver_security_notification'

  app/models/email_address.rb:76:in `deliver_security_notification_update'
